import { Optional, Resource } from "../../common";
import { APIMarkerOrgan, StoreMarkerOrgan } from "./interfaces";
export declare class MarkerOrgan extends Resource {
    /**
     * The name of the organ/system.
     */
    name: string;
    constructor(name: string);
    /**
     * The name of the marker organ resource on the API server.
     */
    static get resourceName(): string;
    /**
     * The name of the service containing the marker tag resource.
     */
    static get serviceName(): string;
    /**
     * Convert the marker tag into a JSON serializable object for the API server.
     */
    serializeAPI(): Optional<APIMarkerOrgan, "id">;
    /**
     * Deserialize the data from the API server.
     *
     * @param data The marker tag data from the API server.
     */
    deserializeAPI(data: APIMarkerOrgan): void;
    /**
     * Serialize the marker tag into a format for storing in the Redux store.
     */
    serializeRedux(): StoreMarkerOrgan;
    /**
     * Create a marker organ from the API server data.
     *
     * @param data Data from the api server.
     *
     * @returns The marker organ object.
     */
    static apiFactory(data: APIMarkerOrgan): MarkerOrgan;
    /**
     * Create a marker organ from the Redux store data.
     *
     * @param data Data from the api server.
     *
     * @returns The marker organ object.
     */
    static reduxFactory(data: StoreMarkerOrgan): MarkerOrgan;
}
